/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package com.aliyuncs.rds.model.v20140815;

import java.util.List;
import com.aliyuncs.AcsResponse;
import com.aliyuncs.rds.transform.v20140815.DescribeDBInstanceNetInfoResponseUnmarshaller;
import com.aliyuncs.transform.UnmarshallerContext;

/**
 * @author auto create
 * @version 
 */
public class DescribeDBInstanceNetInfoResponse extends AcsResponse {

	private String requestId;

	private String instanceNetworkType;

	private List<DBInstanceNetInfo> dBInstanceNetInfos;

	public String getRequestId() {
		return this.requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public String getInstanceNetworkType() {
		return this.instanceNetworkType;
	}

	public void setInstanceNetworkType(String instanceNetworkType) {
		this.instanceNetworkType = instanceNetworkType;
	}

	public List<DBInstanceNetInfo> getDBInstanceNetInfos() {
		return this.dBInstanceNetInfos;
	}

	public void setDBInstanceNetInfos(List<DBInstanceNetInfo> dBInstanceNetInfos) {
		this.dBInstanceNetInfos = dBInstanceNetInfos;
	}

	public static class DBInstanceNetInfo {

		private String upgradeable;

		private String expiredTime;

		private String connectionString;

		private String iPAddress;

		private String iPType;

		private String port;

		private String vPCId;

		private String vSwitchId;

		private ConnectionStringType connectionStringType;

		private String maxDelayTime;

		private DistributionType distributionType;

		private List<securityIPGroup> securityIPGroups;

		private List<DBInstanceWeight> dBInstanceWeights;

		public String getUpgradeable() {
			return this.upgradeable;
		}

		public void setUpgradeable(String upgradeable) {
			this.upgradeable = upgradeable;
		}

		public String getExpiredTime() {
			return this.expiredTime;
		}

		public void setExpiredTime(String expiredTime) {
			this.expiredTime = expiredTime;
		}

		public String getConnectionString() {
			return this.connectionString;
		}

		public void setConnectionString(String connectionString) {
			this.connectionString = connectionString;
		}

		public String getIPAddress() {
			return this.iPAddress;
		}

		public void setIPAddress(String iPAddress) {
			this.iPAddress = iPAddress;
		}

		public String getIPType() {
			return this.iPType;
		}

		public void setIPType(String iPType) {
			this.iPType = iPType;
		}

		public String getPort() {
			return this.port;
		}

		public void setPort(String port) {
			this.port = port;
		}

		public String getVPCId() {
			return this.vPCId;
		}

		public void setVPCId(String vPCId) {
			this.vPCId = vPCId;
		}

		public String getVSwitchId() {
			return this.vSwitchId;
		}

		public void setVSwitchId(String vSwitchId) {
			this.vSwitchId = vSwitchId;
		}

		public ConnectionStringType getConnectionStringType() {
			return this.connectionStringType;
		}

		public void setConnectionStringType(ConnectionStringType connectionStringType) {
			this.connectionStringType = connectionStringType;
		}

		public String getMaxDelayTime() {
			return this.maxDelayTime;
		}

		public void setMaxDelayTime(String maxDelayTime) {
			this.maxDelayTime = maxDelayTime;
		}

		public DistributionType getDistributionType() {
			return this.distributionType;
		}

		public void setDistributionType(DistributionType distributionType) {
			this.distributionType = distributionType;
		}

		public List<securityIPGroup> getSecurityIPGroups() {
			return this.securityIPGroups;
		}

		public void setSecurityIPGroups(List<securityIPGroup> securityIPGroups) {
			this.securityIPGroups = securityIPGroups;
		}

		public List<DBInstanceWeight> getDBInstanceWeights() {
			return this.dBInstanceWeights;
		}

		public void setDBInstanceWeights(List<DBInstanceWeight> dBInstanceWeights) {
			this.dBInstanceWeights = dBInstanceWeights;
		}

public enum ConnectionStringType {

			NORMAL("Normal"),
			READ_WRITE_SPLITTING("ReadWriteSplitting"),;
	
    private String stringValue;

	ConnectionStringType(String stringValue) {
        setStringValue(stringValue);
    }

    public String getStringValue() {
        return stringValue;
    }

    public void setStringValue(String stringValue) {
        this.stringValue = stringValue;
    }
    
    public static ConnectionStringType getEnum(String stringValue){
    	if(null == stringValue){
    		return null;
    	}
    	
    	for (ConnectionStringType connectionStringType : ConnectionStringType.values()) {
			if(connectionStringType.getStringValue().equals(stringValue)){
				return connectionStringType;
			}
		}
    	return null;
    }
}

public enum DistributionType {

			STANDARD("Standard"),
			CUSTOM("Custom"),;
	
    private String stringValue;

	DistributionType(String stringValue) {
        setStringValue(stringValue);
    }

    public String getStringValue() {
        return stringValue;
    }

    public void setStringValue(String stringValue) {
        this.stringValue = stringValue;
    }
    
    public static DistributionType getEnum(String stringValue){
    	if(null == stringValue){
    		return null;
    	}
    	
    	for (DistributionType distributionType : DistributionType.values()) {
			if(distributionType.getStringValue().equals(stringValue)){
				return distributionType;
			}
		}
    	return null;
    }
}

		public static class securityIPGroup {

			private String securityIPGroupName;

			private String securityIPs;

			public String getSecurityIPGroupName() {
				return this.securityIPGroupName;
			}

			public void setSecurityIPGroupName(String securityIPGroupName) {
				this.securityIPGroupName = securityIPGroupName;
			}

			public String getSecurityIPs() {
				return this.securityIPs;
			}

			public void setSecurityIPs(String securityIPs) {
				this.securityIPs = securityIPs;
			}
		}

		public static class DBInstanceWeight {

			private String dBInstanceId;

			private DBInstanceType dBInstanceType;

			private Availability availability;

			private String weight;

			public String getDBInstanceId() {
				return this.dBInstanceId;
			}

			public void setDBInstanceId(String dBInstanceId) {
				this.dBInstanceId = dBInstanceId;
			}

			public DBInstanceType getDBInstanceType() {
				return this.dBInstanceType;
			}

			public void setDBInstanceType(DBInstanceType dBInstanceType) {
				this.dBInstanceType = dBInstanceType;
			}

			public Availability getAvailability() {
				return this.availability;
			}

			public void setAvailability(Availability availability) {
				this.availability = availability;
			}

			public String getWeight() {
				return this.weight;
			}

			public void setWeight(String weight) {
				this.weight = weight;
			}

public enum DBInstanceType {

					READONLY("Readonly"),
					MASTER("Master"),;
	
    private String stringValue;

	DBInstanceType(String stringValue) {
        setStringValue(stringValue);
    }

    public String getStringValue() {
        return stringValue;
    }

    public void setStringValue(String stringValue) {
        this.stringValue = stringValue;
    }
    
    public static DBInstanceType getEnum(String stringValue){
    	if(null == stringValue){
    		return null;
    	}
    	
    	for (DBInstanceType dBInstanceType : DBInstanceType.values()) {
			if(dBInstanceType.getStringValue().equals(stringValue)){
				return dBInstanceType;
			}
		}
    	return null;
    }
}

public enum Availability {

					AVAILABLE("Available"),
					UN_AVAILABLE("UnAvailable"),;
	
    private String stringValue;

	Availability(String stringValue) {
        setStringValue(stringValue);
    }

    public String getStringValue() {
        return stringValue;
    }

    public void setStringValue(String stringValue) {
        this.stringValue = stringValue;
    }
    
    public static Availability getEnum(String stringValue){
    	if(null == stringValue){
    		return null;
    	}
    	
    	for (Availability availability : Availability.values()) {
			if(availability.getStringValue().equals(stringValue)){
				return availability;
			}
		}
    	return null;
    }
}
		}
	}

	@Override
	public DescribeDBInstanceNetInfoResponse getInstance(UnmarshallerContext context) {
		return	DescribeDBInstanceNetInfoResponseUnmarshaller.unmarshall(this, context);
	}
}
